﻿#language: ru

Функционал: Создание документа Упаковочный лист

Сценарий: Создание документа Упаковочный лист
	Дано Я подключаюсь под "milk_prod_Цех созревания сыра"
	И В командном интерфейсе я выбираю 'Производство' 'Упаковочные листы'
	Тогда открылось окно 'Упаковочные листы'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Упаковочный лист (создание)'
	И я нажимаю кнопку выбора у поля "Организация"
	Тогда открылось окно 'Организации'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Упаковочный лист (создание) *'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Номенклатура"
	И я выбираю из списка 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' 		|
		| 'milk_prod_Пакет 2'   |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Упаковочный лист (создание) *'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '25,000'
	И в таблице "Товары" в поле 'Количество упаковок' я ввожу текст '25,000'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Упаковка"
	Тогда открылось окно 'Выберите единицу измерения'
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Упаковочный лист (создание) *'
	И в таблице "Товары" я завершаю редактирование строки
	И в поле 'Вес брутто с весов' я ввожу текст '25,000'
	И я нажимаю кнопку выбора у поля "на складе"
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     		   |
		| 'milk_prod_Склад с ячейками' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Упаковочный лист (создание) *'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Упаковочный лист (создание) *' в течение 20 секунд
	Тогда открылось окно 'Упаковочные листы'
	И Я закрываю окно 'Упаковочные листы'

Сценарий: Подготовка к использованию обработки ТСД. Паллетирование производство
	И В командном интерфейсе я выбираю 'Производство' 'Упаковочные листы'
	Тогда открылось окно 'Упаковочные листы'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Упаковочный лист (создание)'
	И я нажимаю кнопку выбора у поля "Тип тары"
	Тогда открылось окно 'Типы тары'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Короб'        |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Упаковочный лист (создание) *'
	И в поле 'Номер короба в паллете' я ввожу текст '1'
	И я нажимаю кнопку выбора у поля "Организация"
	Тогда открылось окно 'Организации'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Упаковочный лист (создание) *'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Номенклатура"
	И я выбираю из списка 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'milk_prod_Сливочный 45% ГП' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Упаковочный лист (создание) *'
	И в таблице "Товары" я активизирую поле "Серия"
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Номер' |
		| '01.11.2018'   | '5'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Упаковочный лист (создание) *'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '4,600'
	И в таблице "Товары" в поле 'Количество упаковок' я ввожу текст '2,000'
	И в таблице "Товары" я активизирую поле "Упаковка"
	И в таблице "Товары" я выбираю текущую строку
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Упаковка"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "УпаковкиЕдиницыИзмерения" я перехожу к строке:
		| 'Наименование' |
		| 'упак (4 кг)'  |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Упаковочный лист (создание) *'
	И в таблице "Товары" я завершаю редактирование строки
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Упаковочный лист (создание) *' в течение 20 секунд
	Тогда открылось окно 'Упаковочные листы'
	И я нажимаю на кнопку с именем 'ФормаСоздать'
	Тогда открылось окно 'Упаковочный лист (создание)'
	И я нажимаю кнопку выбора у поля "Тип тары"
	Тогда открылось окно 'Типы тары'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Короб'        |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Упаковочный лист (создание) *'
	И в поле 'Номер короба в паллете' я ввожу текст '2'
	И я нажимаю кнопку выбора у поля "Организация"
	Тогда открылось окно 'Организации'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Упаковочный лист (создание) *'
	И в таблице "Товары" я нажимаю на кнопку с именем 'ТоварыДобавить'
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Номенклатура"
	И я выбираю из списка 'Номенклатура'
	Тогда открылось окно 'Номенклатура'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'     |
		| 'milk_prod_Сливочный 45% ГП' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Упаковочный лист (создание) *'
	И в таблице "Товары" я активизирую поле "Серия"
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Серия"
	Тогда открылось окно 'Серии номенклатуры'
	И в таблице "Список" я перехожу к строке:
		| 'Дата выпуска' | 'Номер' |
		| '01.11.2018'   | '5'     |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Упаковочный лист (создание) *'
	И в таблице "Товары" в поле 'Количество' я ввожу текст '4,300'
	И в таблице "Товары" я активизирую поле "Упаковка"
	И в таблице "Товары" я нажимаю кнопку выбора у реквизита "Упаковка"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "УпаковкиЕдиницыИзмерения" я перехожу к строке:
		| 'Наименование' |
		| 'упак (4 кг)'  |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Упаковочный лист (создание) *'
	И в таблице "Товары" в поле 'Количество упаковок' я ввожу текст '2,000'
	И я нажимаю на кнопку 'Провести и закрыть'
	И я жду закрытия окна 'Упаковочный лист (создание) *' в течение 20 секунд
	Тогда открылось окно 'Упаковочные листы'
	И Я закрываю окно 'Упаковочные листы'